GetOrderStatusesResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/OrderStatus'
OrderStatus:
  type: object
  properties:
    id:
      type: integer
      description: ID статуса из OrdersOrderStatusEnum
    name:
      type: string
      description: Название статуса

GetOrderSourcesResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/OrderSource'
OrderSource:
  type: object
  properties:
    id:
      type: integer
      description: ID статуса из OrdersOrderSourceEnum
    name:
      type: string
      description: Название источника взаимодействия

GetDeliveryStatusesResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/DeliveryStatus'
DeliveryStatus:
  type: object
  properties:
    id:
      type: integer
      description: ID статуса из OrdersDeliveryStatusEnum
    name:
      type: string
      description: Название статуса

GetShipmentStatusesResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/ShipmentStatus'
ShipmentStatus:
  type: object
  properties:
    id:
      type: integer
      description: ID статуса из OrdersShipmentStatusEnum
    name:
      type: string
      description: Название статуса

GetPaymentMethodsResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/PaymentMethod'
PaymentMethod:
  type: object
  properties:
    id:
      type: integer
      description: ID метода из OrdersPaymentMethodEnum
    name:
      type: string
      description: Название метода

GetPaymentStatusesResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/PaymentStatus'
PaymentStatus:
  type: object
  properties:
    id:
      type: integer
      description: ID статуса из OrdersPaymentStatusEnum
    name:
      type: string
      description: Название статуса

RefundStatusesResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/RefundStatus'
RefundStatus:
  type: object
  properties:
    id:
      type: integer
      description: ID статуса из RefundStatusEnum
    name:
      type: string
      description: Название статуса
RefundReasonsResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: './refund_reasons.yaml#/RefundReason'
